;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; C-M-l
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; redefines C-M-l to move point to the top line
(global-set-key "\C-\M-l" '(lambda () (interactive) (recenter 0)))

(global-set-key [C-right] 'forward-sexp)
(global-set-key [C-left] 'backward-sexp)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Dette bruger jeg nr jeg debugger toolboxen
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun readpp-region (start end) 
    "Pipe region to readpp"
    (interactive "r")
    (shell-command-on-region start end "readpp" nil 1)
    )
(global-set-key "\M-z" 'readpp-region)
(global-set-key [f12] 'indent-region)

(global-set-key [M-tab] 'indent-region)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Local Variables:
;;; eval: (defun byte-compile-this-file () (write-region (point-min) (point-max) buffer-file-name nil 't) (byte-compile-file buffer-file-name) nil)
;;; write-file-hooks: (byte-compile-this-file)
;;; End:
