(setq setup-location 'HOME)
(setq load-path (cons "~/emacs-modes" load-path))
(if (eq setup-location 'IFAD)
    (load-file "~blackie/Emacs/ifad.elc"))
(load-file "~blackie/Emacs/config.elc")
(load-file "~blackie/Emacs/functions.elc")
(load-file "~blackie/Emacs/mode.elc")
(load-file "~blackie/Emacs/bindings.elc")
(load-file "~blackie/Emacs/dotfile.elc")

(global-set-key [C-tab] 'indent-region)

; outline til python
(setq outline-level 'tcl-outline-level)
(defun tcl-outline-level ()
  (save-excursion
    (skip-chars-forward " \t")
    (current-column)))
(setq outline-regexp "[^\n\^M]")


;(autoload 'cpp-parse-buffer "cpp" "Parse and display cpp conditionals." t)

;(eval-after-load "cc-mode"
;  '(progn
;     (define-key c-mode-map "\C-c\C-x" 'cpp-parse-buffer)
;     (define-key-after (lookup-key c-mode-map [ menu-bar c ])
;       [ cpp-parse ] '("Parse Conditionals" . cpp-parse-buffer) 'up)))



;(load-file "emacs-modes/expand.el")
;(require 'expand)
;(defconst c-expand-list
;  '(("if" "if () {\n \n} else {\n \n}" (5 10 21))
;    ("uns" "unsigned ")
;    ("for" "for(;;) {\n\n}" (5 6 7 11))
;    ("switch" "switch () {\n\n}" (9 13))
;    ("case" "case :\n\nbreak;\n" (6 8 16))
;    ("do" "do {\n\n} while ();" (6 16))
;    ("while" "while () {\n\n}" (8 12))
;    ("default" "default:\n\nbreak;" 10)
;    ("main" "int\nmain(int argc, char * argv[])\n{\n\n}\n" 37))
;  "Expansions for C mode")

;(expand-add-abbrevs c-mode-abbrev-table c-expand-list)

;(add-hook 'c-mode-hook (function (lambda() (expand-mode))))
;(define-key expand-map '[C-tab] 'expand-jump-to-next-mark)
;(define-key expand-map '[C-S-tab] 'expand-jump-to-previous-mark)


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; PAGER.el
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(require 'pager)
(global-set-key [next]     'pg-dn)
(global-set-key [prior]    'pg-up)
(global-set-key '[C-up]    'row-up)
(global-set-key '[C-down]  'row-dn)
