;;; Highlighting using font-lock
;  (cond (window-system
;         (setq font-lock-face-attributes
;  	     ;; face,                        fg,         bg, bf, it, ul
;              '((font-lock-comment-face       "FireBrick" nil nil t   nil)
;                (font-lock-string-face        "SeaGreen"  nil t   nil nil)
;                (font-lock-keyword-face       "Blue2"     nil nil nil t  )
;                (font-lock-function-name-face "Blue2"     nil t   nil nil)
;                (font-lock-variable-name-face "Maroon"    nil nil nil nil)
;                (font-lock-type-face          "Blue2"     nil t   nil t  )
;                (font-lock-reference-face     "SeaGreen"  nil nil nil nil)
;                ;; Only for LaTeX...
;                (font-latex-math-face         "Magenta3"  nil nil t   nil)
;                )

;  	     )
;         (if (featurep 'font-lock)
;  	   (font-lock-make-faces t))
;         (setq font-lock-maximum-decoration t)
;         (global-font-lock-mode t)
;         ;(require 'font-latex)
;         ))

;; Python mode
(autoload 'python-mode "python-mode" "" t)
(setq auto-mode-alist (cons '("\\.py$" .python-mode) auto-mode-alist))
(add-hook 'python-mode-hook
          (function (lambda ()
                      (setq comint-prompt-regexp "^>>> ")
		      (setq py-indent-offset 2)
		      (imenu-add-to-menubar "INDEX")
		      )))


;; HTML helper mode
(setq auto-mode-alist
      (cons '("\\.html$" .html-helper-mode) auto-mode-alist))
(setq auto-mode-alist
      (cons '("\\.html.src$" .html-helper-mode) auto-mode-alist))
(autoload 'html-helper-mode "html-helper-mode" "Yay HTML" t)

(setq html-helper-do-write-file-hooks t)
(setq html-helper-build-new-buffer t)
(setq html-helper-address-string 
  "<a href=\"http://www.mmj.dk\">Mads Martin Jrgensen</a> &lt;mmj@mmj.dk&gt;")
(add-hook 'html-helper-load-hook '(lambda () (require 'html-font)))
(add-hook 'html-helper-load-hook '(lambda () (auto-fill-mode)))

;; Local Variables:
;; eval: (defun byte-compile-this-file () (write-region (point-min) (point-max) buffer-file-name nil 't) (byte-compile-file buffer-file-name) nil)
;; write-file-hooks: (byte-compile-this-file)
;; End:


